System.Web 2.0.0.0 System.Attribute

The attribute is applied to controls that are not rendered to the client, such as data source controls and the control. During design time, a page developer might decide to hide all non-visual controls. The designer would mark as invisible all of the controls with the attribute set to true.

Examples of controls that employ the attribute are , , , and .

Defines the attribute that indicates whether a control is treated as a visual or non-visual control during design time. This class cannot be inherited.

- Constructor

  A default instance of the class is equivalent to the field, or passing true to the constructor.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  Passing true to this constructor is equivalent to using the field, and passing false is equivalent to using the field.

  Initializes a new instance of the class, using the specified Boolean value to determine whether the attribute represents a visual or non-visual control.

  true to initialize the to represent a Web control that is not rendered to the client at run time; otherwise, false.
  2.0.0.0
- Field
  System.Web.UI.NonVisualControlAttribute

  A default instance of the class is equivalent to the field.

  Returns a instance that represents the application-defined default value of the attribute. This field is read-only.

  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean To be added.

  Returns a value indicating whether the current instance is equivalent to a default instance of the class.

  true if the current instance is equivalent to a instance of the class; otherwise, false.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the control is non-visual.

  2.0.0.0
- Field
  System.Web.UI.NonVisualControlAttribute

  The field is equivalent to creating an instance of the attribute using the constructor and passing true as the parameter value.

  Returns a instance that is applied to a Web control to be treated as a non-visual control during design time. This field is read-only.

  2.0.0.0
- Field
  System.Web.UI.NonVisualControlAttribute

  The field is equivalent to creating an instance of the attribute using the default constructor, or creating an instance of the attribute using the constructor and passing false as the parameter value.

  Gets a instance that is applied to a Web control to be treated as a visual control during design time.

  2.0.0.0